Subject: [Sip] Doubt related to the contact header in the INVITE responses.

From: "Gupta Vineet-A18467" <[email-masked]>
Date: Thu, 28 Sep 2006 21:41:25 +0800

Hi,

I had a doubt related to the setting of the contact header in responses to INVITE request.

 As per RFC-3261, it is clear that the remote-target (which is the URI part of the contact header set by the remote party), can only be modified through the INVITE request or any responses to INVITE request.  It cannot be modified through any other requests within the INVITE dialog.

But what is not clear is that, "Whether some UAS can set a different contact header, then the one it had set in a provisional response (like 183 session in progress), in subsequent provisional (like 180 ringing) or final response to the INVITE transaction?"

At present I am not able to think of the scenario, where such feature might be required, but as I wanted to know whether an RFC-3261 compliant SIP stack should allow/disallow this.

Regards,
Vineet.
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip